<?php
$categoriasDao = new \Dao\Categorias();
$categoriasDao->getCategoriaPorId($conecta, filter_input(INPUT_POST, 'id'));
$categoriasDao->titulo = $conecta->real_escape_string(filter_input(INPUT_POST, 'titulo'));
$categoriasDao->slug = \Dao\Funcoes::removeCharacters($categoriasDao->titulo, '-');
$categoriasDao->data_cadastro = date('Y-m-d H:i:s');
$categoriasDao->usuario_cadastrou = $_SESSION['id_usuario'];
$categoriasDao->data_alteracao = date('Y-m-d H:i:s');
$categoriasDao->usuario_alterou = $_SESSION['id_usuario'];
$res = json_decode($categoriasDao->salvar($conecta));
if ($res->data == 'Success') 
    \Dao\Funcoes::displayMessage('Confirmação', $res->message, 'categorias.php');
else 
    \Dao\Funcoes::displayMessage('Erro', $res->message, 'categorias.php', 'red');